Bug 5051 - webfeed plugin does not display most recent when most recent chosen
webfeed plugin does not display most recent when most recent chosen
Status: REOPENED
Product: OJS
Classification: Unclassified
Component: Plug-ins
3.1
All All
: P5 enhancement
Assigned To: PKP Support
: 4393 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-14 21:33 PST by Juan Pablo Alperin
Modified: 2013-05-29 16:14 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects: OJS 2.3.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Pablo Alperin 2010-01-14 21:33:55 PST
This is a problem with the use of PublishedArticleDAO::getPublishedArticlesByJournalId

There are no sorting options on this function for most recent first
Comment 1 Juan Pablo Alperin 2010-01-26 15:16:32 PST
see commit: 
http://github.com/pkp/ojs/commit/280424d63baccc8a01c0447ee8e0d0e13e5e12b7
Comment 2 Alec Smecher 2010-04-30 10:47:18 PDT
Juan, does the above commit fix the issue, or does this still need work?
Comment 3 Alec Smecher 2010-06-29 16:03:52 PDT
Closing -- looks like it's been fixed.
Comment 4 Alec Smecher 2010-06-29 16:04:45 PDT
*** Bug 4393 has been marked as a duplicate of this bug. ***
Comment 5 Juan Pablo Alperin 2010-06-29 16:15:40 PDT
sorry alec.  I saw your "ping" regarding this bug, but I haven't looked into it yet.  perhaps i'd left open because it needed porting?
Comment 6 Alec Smecher 2010-06-29 16:39:51 PDT
OK, that's likely. I'll leave it open; no rush.
Comment 7 Alec Smecher 2010-07-08 09:13:23 PDT
Rescheduling; already committed against OJS pre-2.3.2 CVS.
Comment 8 Alec Smecher 2013-05-29 16:14:05 PDT
WebFeed needs rewriting for 3.x.